Bug 97693 - Build fails with recent toolchain
Build fails with recent toolchain
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: gnome-python2 (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
:
Depends On:
Blocks: CambridgeBlocker
  Show dependency treegraph
 
Reported: 2003-06-19 09:08 EDT by Enrico Scholz
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-21 15:57:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2003-06-19 09:08:24 EDT
Description of problem:

-----
$ rpmbuild --rebuild gnome-python2-1.99.14-6.src.rpm
...
RPM build errors:
    File not found by glob: /var/tmp/gnome-python-root/usr/lib/python?.?/site-packages/gtk-2.0/gnome/_gnomemodule.so
    File not found by glob: /var/tmp/gnome-python-root/usr/lib/python?.?/site-packages/gtk-2.0/gnome/uimodule.so
    File not found by glob: /var/tmp/gnome-python-root/usr/lib/python?.?/site-packages/gtk-2.0/gnome/vfsmodule.so
    File not found by glob: /var/tmp/gnome-python-root/usr/lib/python?.?/site-packages/gtk-2.0/gnome/appletmodule.so
    File not found by glob: /var/tmp/gnome-python-root/usr/lib/python?.?/site-packages/gtk-2.0/gnome/canvasmodule.so
    File not found by glob: /var/tmp/gnome-python-root/usr/lib/python?.?/site-packages/gtk-2.0/gnome/nautilusmodule.so
    File not found by glob: /var/tmp/gnome-python-root/usr/lib/python?.?/site-packages/gtk-2.0/bonobo/*.so
-----

Instead, files without the '.so' suffix are existing:

$ ll /var/tmp/gnome-python-root/usr/lib/python?.?/site-packages/gtk-2.0/gnome
total 252
-rw-r--r--    1 ensc     ensc          281 Jun 19 15:03 __init__.py
-rw-r--r--    1 ensc     ensc          427 Jun 19 15:03 __init__.pyc
-rw-r--r--    1 ensc     ensc          388 Jun 19 15:03 __init__.pyo
-rwxr-xr-x    1 ensc     ensc        19248 Jun 19 15:03 _gnomemodule
-rwxr-xr-x    1 ensc     ensc        12404 Jun 19 15:03 appletmodule
-rwxr-xr-x    1 ensc     ensc        28700 Jun 19 15:03 canvasmodule
-rwxr-xr-x    1 ensc     ensc        14816 Jun 19 15:03 nautilusmodule
-rwxr-xr-x    1 ensc     ensc       119020 Jun 19 15:03 uimodule
-rwxr-xr-x    1 ensc     ensc        32068 Jun 19 15:03 vfsmodule


Version-Release number of selected component (if applicable):

automake-1.7.5-1
autoconf-2.57-3
libtool-1.5-3
Comment 1 Bill Nottingham 2003-10-21 15:57:02 EDT
Should be fixed in 2.0.0-x.

Note You need to log in before you can comment on or make changes to this bug.